﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="WebForm1.aspx.cs" Inherits="WebApplication65.WebForm1" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
	<style type="text/css">
		.auto-style1 {
			width: 100%;
		}
	</style>
</head>
<body>
    <form id="form1" runat="server">
    	<table class="auto-style1">
			<tr>
				<td>Liczba A:</td>
				<td>
					<asp:TextBox ID="TextBoxLiczbaA" runat="server"></asp:TextBox>
				</td>
				<td>
					<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="TextBoxLiczbaA" ErrorMessage="Pole Liczba A jest wymagane!">*</asp:RequiredFieldValidator>
				</td>
			</tr>
			<tr>
				<td>Liczba B:</td>
				<td>
					<asp:TextBox ID="TextBoxLiczbaB" runat="server"></asp:TextBox>
				</td>
				<td>
					<asp:RangeValidator ID="RangeValidator1" runat="server" ControlToValidate="TextBoxLiczbaB" ErrorMessage="Lizcba B musi być w zakresie 10 do 20" MaximumValue="20" MinimumValue="10" Type="Integer"></asp:RangeValidator>
				</td>
			</tr>
			<tr>
				<td>Liczba C:</td>
				<td>
					<asp:TextBox ID="TextBoxLiczbaC" runat="server"></asp:TextBox>
				</td>
				<td>
					<asp:CompareValidator ID="CompareValidator1" runat="server" ControlToCompare="TextBoxLiczbaB" ControlToValidate="TextBoxLiczbaC" ErrorMessage="Liczba C musi być większa niż Liczba B" Operator="GreaterThan" Type="Integer"></asp:CompareValidator>
				</td>
			</tr>
			<tr>
				<td>Email:</td>
				<td>
					<asp:TextBox ID="TextBoxEmail" runat="server"></asp:TextBox>
				</td>
				<td>
					<asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ControlToValidate="TextBoxEmail" ErrorMessage="Podany adres email jest nieprawidłowy" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"></asp:RegularExpressionValidator>
				</td>
			</tr>
			<tr>
				<td>Hasło:</td>
				<td>
					<asp:TextBox ID="TextBoxHaslo" runat="server"></asp:TextBox>
				</td>
				<td>
					<asp:CustomValidator ID="CustomValidator1" runat="server" ControlToValidate="TextBoxHaslo" ErrorMessage="Podane hasło jest za krótkie" OnServerValidate="CustomValidator1_ServerValidate" ClientValidationFunction="validatePassword" ValidationGroup="1"></asp:CustomValidator>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>
					<asp:Button ID="Button1" runat="server" Text="Przeslij" />
				</td>
				<td>&nbsp;</td>
				<td>
					<asp:Button ID="Button2" runat="server" Text="Haslo" ValidationGroup="1" />
				</td>
			</tr>
		</table>
    <div>
    
    </div>

	<script type="text/javascript">
		function validatePassword(src, args) {
			args.IsValid = false;

			if (args.Value.length > 4)
				args.IsValid = true;
		}
	</script>
		<asp:ValidationSummary ID="ValidationSummary1" runat="server" />
    </form>

	</body>
</html>
